Subject: bug#45693: [two word expansion works, but write-abbrev-file destroys it]

From: Robert Pluim <[email-masked]>
Date: Tue, 12 Jan 2021 11:34:49 +0100

Uwe Brauer <[email-masked]> writes:

>> Uwe Brauer <[email-masked]> writes:
>
>> It should have been, and was in my testing
>
>
>> Iʼve only tested my code, not proven it bug-free :-)
>
>
> I think I found a bug. I restart my emacs with your patched abbrev file
> and all my stuff, then I obtain the following error:
>
> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" ".abbrev_defs")
>   load(".abbrev_defs" nil t)
>   read-abbrev-file(".abbrev_defs" t)
>   quietly-read-abbrev-file(".abbrev_defs")
>   command-line()
>   normal-top-level()
>

What's your 'abbrev-file-name' set to? Emacs uses 'load' to read it,
so it should be a complete pathname, ie "~/.abbrev_defs", or it should
be in your 'load-path' somewhere.

Robert